Bug 1468972 - [GSS][RFE] Improve geo-replication logging [NEEDINFO]
Summary: [GSS][RFE] Improve geo-replication logging
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Aravinda VK
QA Contact: Rochelle
URL:
Whiteboard:
Depends On:
Blocks: RHGS-usability-bug-GSS 1408949 1503132 1529480 1529538
TreeView+ depends on / blocked
 
Reported: 2017-07-10 06:51 UTC by Bipin Kunal
Modified: 2018-09-12 07:09 UTC (History)
11 users (show)

Fixed In Version: glusterfs-3.12.2-2
Doc Type: Enhancement
Doc Text:
Red Gluster Gluster Storage 3.4 introduces structured logging in geo-replication to improve the log messages. With structured logging you can easily parse the log messages to get the required information.
Clone Of:
: 1512532 1529480 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:34:19 UTC
srmukher: needinfo? (avishwan)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:36:23 UTC

Description Bipin Kunal 2017-07-10 06:51:22 UTC
Description of problem: Current geo-replication logging is poor. Plenty of scope of geo-replication improvement.

With the current log it is very difficult to understand the place of failure. Logging should be a bit more informative. 

Geo-replication log file naming should even be improved. It lacks filename readability. With file name it becomes very difficult to relate it with what that log file is for.

Comment 3 Aravinda VK 2017-10-10 09:24:59 UTC
(In reply to Bipin Kunal from comment #0)
> Description of problem: Current geo-replication logging is poor. Plenty of
> scope of geo-replication improvement.
> 
> With the current log it is very difficult to understand the place of
> failure. Logging should be a bit more informative. 

Many patches merged in upstream with Log improvements, will include one more patch to address the review comments of patch https://review.gluster.org/#/c/17551/

> 
> Geo-replication log file naming should even be improved. It lacks filename
> readability. With file name it becomes very difficult to relate it with what
> that log file is for.

This we can't implement in 3.4 release because file path change is not acceptable for 3.12 upstream(Already released, no path change will be accepted for minor release). Please open new RFE for the same.

Comment 4 Kotresh HR 2017-10-10 11:11:11 UTC
The following patch is already in 3.3 which addresses few improvements.

https://review.gluster.org/16997

Comment 6 Aravinda VK 2017-12-28 10:22:13 UTC
Upstream patch https://review.gluster.org/#/c/17551/ is already available as part of rebase. Another patch sent to fix the remaining issues. 

https://review.gluster.org/19103

Comment 7 Aravinda VK 2017-12-28 15:05:18 UTC
Downstream Patch https://code.engineering.redhat.com/gerrit/126634

Comment 8 Bipin Kunal 2018-01-02 07:26:17 UTC
(In reply to Aravinda VK from comment #3)
> (In reply to Bipin Kunal from comment #0)
> > Description of problem: Current geo-replication logging is poor. Plenty of
> > scope of geo-replication improvement.
> > 
> > With the current log it is very difficult to understand the place of
> > failure. Logging should be a bit more informative. 
> 
> Many patches merged in upstream with Log improvements, will include one more
> patch to address the review comments of patch
> https://review.gluster.org/#/c/17551/
> 
> > 
> > Geo-replication log file naming should even be improved. It lacks filename
> > readability. With file name it becomes very difficult to relate it with what
> > that log file is for.
> 
> This we can't implement in 3.4 release because file path change is not
> acceptable for 3.12 upstream(Already released, no path change will be
> accepted for minor release). Please open new RFE for the same.

New RFE available here : https://bugzilla.redhat.com/show_bug.cgi?id=1512535

Comment 11 errata-xmlrpc 2018-09-04 06:34:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.